Subject: RE: [PATCH v7 00/16] Add Intel Ethernet Protocol Driver for RDMA (irdma)

From: "Saleem, Shiraz" <[email-masked]>
Date: Thu, 3 Jun 2021 15:28:04 +0000

> Subject: Re: [PATCH v7 00/16] Add Intel Ethernet Protocol Driver for RDMA
> (irdma)
> 
> On Wed, Jun 02, 2021 at 03:51:22PM -0500, Shiraz Saleem wrote:
> > The following patch series introduces a unified Intel Ethernet
> > Protocol Driver for RDMA (irdma) for the X722 iWARP device and a new
> > E810 device which supports iWARP and RoCEv2. The irdma module replaces
> > the legacy i40iw module for X722 and extends the ABI already defined
> > for i40iw. It is backward compatible with legacy X722 rdma-core provider
> (libi40iw).
> >
> > X722 and E810 are PCI network devices that are RDMA capable. The RDMA
> > block of this parent device is represented via an auxiliary device exported to
> 'irdma'
> > using the core auxiliary bus infrastructure recently added for 5.11 kernel.
> > The parent PCI netdev drivers 'i40e' and 'ice' register auxiliary RDMA
> > devices with private data/ops encapsulated that bind to auxiliary
> > drivers registered in irdma module.
> >
> > Currently, default is RoCEv2 for E810. Runtime support for protocol
> > switch to iWARP will be made available via devlink in a future patch.
> >
> > This rdma series is built against the shared branch iwl-next [1] which
> > is expected to be merged into rdma-next first for the netdev parts.
> 
> Okay, applied to for-next, please keep on top of any 0-day stuff that comes out. I
> need it all fixed in 2 weeks
> 

Sure.

Tatyana is out till June 7th, so I sent a new PR for the user-space bit with the updated kernel headers commit.

Shiraz